package com.yihu.wlyy.entity.consult;

import com.yihu.wlyy.entity.IdEntity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 三师咨询转接给的医生记录对象
 * @author George
 *
 */

@Entity
@Table(name = "wlyy_consult_team_doctor")
public class ConsultTeamDoctor extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7967961374207943953L;

	// 三师咨询标识
	private String consult;
	// 医生标
	private String from;
	// 转出医生姓名
	private String fromName;
	// 替回答的医生标识
	private String to;
	// 是否有回复过
	private int reply;
	// 咨询时间
	private Date czrq;
	// 作废标识，1正常，0作废
	private String del;

	public String getConsult() {
		return consult;
	}

	public void setConsult(String consult) {
		this.consult = consult;
	}

	@Column(name = "form_doctor")
	public String getFrom() {
		return from;
	}

	public void setFrom(String from) {
		this.from = from;
	}

	@Column(name = "form_doctor_name")
	public String getFromName() {
		return fromName;
	}

	public void setFromName(String fromName) {
		this.fromName = fromName;
	}

	@Column(name = "to_doctor")
	public String getTo() {
		return to;
	}

	public void setTo(String to) {
		this.to = to;
	}

	public int getReply() {
		return reply;
	}

	public void setReply(int reply) {
		this.reply = reply;
	}

	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

	public String getDel() {
		return del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}
